dialog{
  opacity: 1;
  translate: 0;
  color: var(--clr-txt);
  border: 1px solid rgba(from var(--clr-primary) r g b /.25);
  background-color: var(--clr-bg);
  border-radius: 10px;
  max-width: 270px;
  padding: 1rem;
  text-wrap: balance;


  @starting-style {
    opacity: 0;
    translate: 0 100svh;
  }
  transition: opacity 500ms ease-in, translate 500ms cubic-bezier(0.28, -0.55, 0.27, 1.55);
}
/* Backdrop styling */
dialog[open]::backdrop {
  background-color: rgba(from var(--clr-secondary) r g b / .5); 
  backdrop-filter: blur(3px);
  opacity: 1;
  @starting-style {
    opacity: 0;
  }
  transition: opacity 1000ms ease-in; /* this doesn't appear to be working */
}
dialog .btn-dialog-close{
  position: absolute;
  top: 4px;
  right: 4px;
  border-radius: 50%;
  background-color: transparent;
  color: white;
  border: none;
  outline: none;
  cursor: pointer;
  transition: rotate 300ms, background-color 300ms ease-in-out;;
  
}
dialog .btn-dialog-close:focus-visible,
dialog .btn-dialog-close:hover{
  rotate: 90deg;
  /*background-color: var(--clr-secondary);*/
}

.btn-dialog-open{
  width: fit-content;
  margin-inline: auto;
  cursor: pointer;
  background-color: rgba(from var(--clr-secondary) r g b / .5);
  border: 1px solid var(--clr-secondary);
  border-radius: 5px;
  outline: none;
  padding: 1rem 2rem;
  font-size: 2rem;
  color: var(--clr-primary);
  transition: background-color 300ms ease-in-out;
}
.btn-dialog-open:focus-visible,
.btn-dialog-open:hover{
  background-color: var(--clr-secondary);
}



/* none of this CSS is relevant to the wave animation */

:root{
  --clr-bg: #222;
  --clr-txt: #F5F5F5;
  --clr-primary: #F5F5F5;
  --clr-secondary: #38BDF8;
  --clr-button: #0369A1;
}
html{
  background-color: var(--clr-bg);
  font-family: system-ui;
  color: var(--clr-txt);
}

body{
  min-height: 100svh;
  color: var(--clr-primary);
  padding: 1rem;
  display: grid;
  place-content: center;
  gap: 2rem;
}

h1{
  font-size: 1.2rem;
  font-weight: 500;
  margin-block-end: 1rem;
}
code{
  color: var(--clr-secondary);
  border: 1px solid rgba(from var(--clr-secondary) r g b / .25);
  padding-inline: .25rem;
  border-radius: 5px;
}
